INTELROOT = /home/xxu/intel/composer_xe_2013.4.183

MKLPATH = $(INTELROOT)/mkl/lib/intel64/
MKLINCLUDE = $(INTELROOT)/mkl/include/
REDIS = $(INTELROOT)/compiler/lib/intel64/

RM = /bin/rm -f

LIBBLAS = -Wl,--start-group $(MKLPATH)libmkl_intel_lp64.a $(MKLPATH)libmkl_intel_thread.a $(MKLPATH)libmkl_core.a -Wl,--end-group
LIBOTHERS = -L$(REDIS) -lpthread -liomp5 -lm

OBJS =  main.o

default: $(OBJS)
	g++ -O2 $(OBJS) $(LIBBLAS) $(LIBOTHERS) 

.SUFFIXES: .cpp 
.cpp.o:
	g++ -c -O2 -I$(MKLINCLUDE) $*.cpp 

clean:
	rm -f *.o
	rm -f *.mod
